package com.njcn.device.device.mapper;

import com.njcn.device.pq.pojo.param.ProgramParam;
import com.njcn.device.pq.pojo.vo.ShowVersionVO;
import com.njcn.device.pq.pojo.vo.VersionVO;

import java.util.List;

/**
 * @version 1.0.0
 * @author: chenchao
 * @date: 2022/05/23 13:23
 */
public interface ProgramVersionMapper {

    /**
     * 获取终端版本信息，根据装置型号查询
     */
    List<VersionVO> getVersion(ProgramParam programParam);
    /**
     * 根据id获取终端版本信息
     */
    ShowVersionVO getProgramVersionById(String id);
    /**
     * 修改程序版本状态
     */
    void updateVersionFlag(Integer flag,String id);
    /**
     * 修改程序版本状态
     */
    void updateVersionState(String id);

}
